www/apache-tomcat9 - The NetBSD Packages Collection

Implementation of Java Servlet and JavaServer Pages technologies

Apache Tomcat is an implementation of the Java Servlet and JavaServer Pages
technologies. The Java Servlet and JavaServer Pages specifications are
developed under the Java Community Process.

Apache Tomcat is developed in an open and participatory environment and
released under the Apache Software License. Apache Tomcat is intended to
be a collaboration of the best-of-breed developers from around the world.
We invite you to participate in this open development project.

Apache Tomcat powers numerous large-scale, mission-critical web applications
across a diverse range of industries and organizations.

This package tracks 9.x release branch.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/openjdk11 lang/openjdk11

Binary packages

OSArchitectureVersion
NetBSD 8.0i386apache-tomcat-9.0.34nb1.tgz
NetBSD 8.0i386apache-tomcat-9.0.41.tgz
NetBSD 8.0x86_64apache-tomcat-9.0.34nb1.tgz
NetBSD 8.0x86_64apache-tomcat-9.0.41.tgz
NetBSD 9.0aarch64apache-tomcat-9.0.41.tgz
NetBSD 9.0aarch64apache-tomcat-9.0.34nb1.tgz
NetBSD 9.0aarch64apache-tomcat-9.0.41.tgz
NetBSD 9.0earmv6hfapache-tomcat-9.0.34nb1.tgz
NetBSD 9.0earmv6hfapache-tomcat-9.0.41.tgz
NetBSD 9.0earmv7hfapache-tomcat-9.0.41.tgz
NetBSD 9.0i386apache-tomcat-9.0.34nb1.tgz
NetBSD 9.0i386apache-tomcat-9.0.41.tgz
NetBSD 9.0i386apache-tomcat-9.0.41.tgz
NetBSD 9.0sparc64apache-tomcat-9.0.34nb1.tgz
NetBSD 9.0x86_64apache-tomcat-9.0.39.tgz
NetBSD 9.0x86_64apache-tomcat-9.0.41.tgz
NetBSD 9.0x86_64apache-tomcat-9.0.41.tgz
NetBSD 9.0x86_64apache-tomcat-9.0.41.tgz
NetBSD 9.0x86_64apache-tomcat-9.0.34nb1.tgz
NetBSD 9.0x86_64apache-tomcat-9.0.41.tgz
NetBSD 9.0x86_64apache-tomcat-9.0.41.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.